%global momorel 1
%global qtdir %{_libdir}/qt3
%global qtver 3.3.4
%global kdedir /usr
%global kdever 3.4.1
%global kdelibsrel 1m
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src

Name: kdeaccessibility
Summary: K Desktop Environment - Accessibility
Version: %{kdever}
Release: %{momorel}m
Group: User Interface/Desktops
License: GPL
URL: http://accessibility.kde.org/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 a8f51420c214bbf36efa54c99e24fdd9
## mirror site in Japan.
#%%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 a8f51420c214bbf36efa54c99e24fdd9
Patch0: kdeaccessibility-3.4.0-nokdelibsuff.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}
Requires: gst-plugins-additional
BuildPrereq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}, kdebase >= %{kdever}
BuildPreReq: libpng >= 1.2.0
BuildPreReq: autoconf >= 2.56-3m 
BuildPreReq: perl
BuildPreReq: gstreamer-devel >= 0.8.7

%description
Included with this package are:
  kmag - a screen magnifier,
  kmousetool - a program for people whom it hurts to click the mouse,
  KMouth - a program that allows people who have lost their voice
           to let their computer speak for them.

%prep
%setup -q
%patch -p1

# workaround for automake/autoconf version
perl -p -i -e "s|KDE_AUTOCONF_VERS=\"|KDE_AUTOCONF_VERS=\"-2.59 |g" admin/detect-autoconf.sh
perl -p -i -e "s|KDE_AUTOMAKE_VERS=\"|KDE_AUTOMAKE_VERS=\"-1.9|g" admin/detect-autoconf.sh

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

%ifnarch alpha
CFLAGS="-D_GNU_SOURCE %{optflags} -DNDEBUG -DNO_DEBUG" \
CXXFLAGS="-D_GNU_SOURCE %{optflags} -DNDEBUG -DNO_DEBUG -fno-check-new"
%else
CFLAGS="-D_GNU_SOURCE -O3" CXXFLAGS="-D_GNU_SOURCE -O0 -fno-check-new"
%endif

export FLAGS="%{optflags} -DNO_DEBUG -DNDEBUG -fno-use-cxa-atexit"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS -fno-check-new"

if [ `gcc -dumpversion` = "3.3" ]; then
CFLAGS="$CFLAGS -fno-stack-protector"
CXXFLAGS="$CXXFLAGS -fno-stack-protector"
fi

./configure \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-kttsd-gstreamer \
	--disable-debug \
	--enable-final

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# Make symlinks relative
pushd %{buildroot}%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f %{buildroot}%{_docdir}/HTML/en/$i/common
      ln -sf ../common %{buildroot}%{_docdir}/HTML/en/$i
   fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/kmag
%{_bindir}/kmousetool
%{_bindir}/kmouth
%{_bindir}/ksayit
%{_bindir}/kttsd
%{_bindir}/kttsmgr
%{_includedir}/kparts/*.h
%{_includedir}/*.h
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/Applications/*.desktop
%{_datadir}/apps/kbstateapplet
%{_datadir}/apps/kicker/applets/kbstateapplet.desktop
%{_datadir}/apps/kmag
%{_datadir}/apps/kmousetool
%{_datadir}/apps/kmouth
%{_datadir}/apps/ksayit
%{_datadir}/apps/ktexteditor_kttsd
%{_datadir}/apps/kttsd/
%{_datadir}/apps/kttsjobmgr
%{_datadir}/config/kmouthrc
%{_datadir}/doc/HTML/en/kmag
%{_datadir}/doc/HTML/en/kmousetool
%{_datadir}/doc/HTML/en/kmouth
%{_datadir}/doc/HTML/en/kttsd
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/icons/mono/index.theme
%{_datadir}/services/*.desktop
%{_datadir}/servicetypes/*.desktop

%changelog
* Wed Jun  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-1m)
- update to KDE 3.4.1

* Fri Apr 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-3m)
- modify %%files section
- add --enable-kttsd-gstreamer to configure
- BuildPreReq: gstreamer-devel >= 0.8.7
- Requires: gst-plugins-additional

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- BuildPreReq: kdebase

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2
 
* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
 
* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0

